Description

Please, read first https://dru-id.com/developers/apis/oauth-2/ to learn about Oauth2 protocol and the meaning of each token.

Use this method to retrieve all bulk-operation statuses currently available in the system. Please note that bulk results are retained only for a configurable period of time; after this retention window expires, the system automatically deletes them.

Endpoint URL:

 GET https://{your-endpoint-domain.com}/activityid/v1/user/bulk

Headers

ParameterDescriptionTypeRequired
Authorization“Bearer app_token” Literal text Bearer followed by app_token that is the token obtained from /oauth2/token endpointstringyes
Content-TypeThe type of content that will be used for requests to be JSONstringyes
AcceptThe type of content that will be used for responses to be JSONstringyes
Accept-LanguageLanguage for this requestLocaleno

Query string parameters

None

Response examples

ParameterDescriptionType
contentData receive with the response. Array of bulk statusesstruct
content.bulkIdId of the bulk process.string
content.statusCurrent state of the bulk process.string
content.createdOnCreation date.string
content.updatedOnLast update. The instant when the last status change was performed. string
resultCommon http resultstruct
result.statusHttp codeinteger
result.messageA description that describes the result of the operationstring

Response codes

CodeTypeDescription
400ErrorBad Request: The request could not be understood by the server due to malformed syntax
401ErrorUnauthorized: authentication is required and has failed or has not yet been provided (token is invalid, etc)
500ErrorInternal Server Error: The server encountered an unexpected condition which prevented it from fulfilling the request
504ErrorGateway TimeoutService can not contact with oauth server to do some internal operations
200SuccessReturns all bulk statuses